@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700;800;900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Berkshire+Swash&display=swap");

:root {
    --font0: "Poppins", Arial, sans-serif;
    --font1: "Berkshire Swash", Arial sans-serif;
    --color0: #3538dc; /* #dc3545;*/
    --color1: #5656ff; /* #ff5d56;*/ 
    --color2: #707070;
    --color3: #f7f7f7;
}

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  list-style: none;
  text-decoration: none;
}

body {
  max-width: 1200px;
  margin: 0 auto;
  background-color: #000;
}

/* HEADER*/
header {
  background-color: #000;
  padding: 10px;
  display: flex;
  align-items: center;
  justify-content: space-around;
  font-family: var(--font0);
}

/* TITULO DO SITE*/
header h1 {
  color: var(--color0);
  font-size: 2.5rem;
}
header span {
  color: white;
}

/* -------- NAVEGATION BAR -------- */
header .navegacao-primaria {
  display: flex;
  gap: 30px;
  align-items: center;
}
header .navegacao-primaria li a {
  color: #fff;
  width: 0px;
  height: 0px;
  font-size: 1.3rem;
}

/* -------- HARMBURGER MENU -------- */
@media (max-width: 992px) {
    header .navegacao-primaria.ativado {
        background: linear-gradient(
            rgba(43, 42, 42, 0.276),
            rgba(46, 46, 46, 0.824)
        );
        position: absolute;
        display: grid;
        color: white;
        font-size: 1.6rem;
        font-weight: bold;
        padding: 30px;
        z-index: 1;
        animation: sobeSecao 0.5s ease-in-out forwards;
        border-radius: 0 0 5px 5px;
        top: 80px;
        right: 20px;
  }
}

/* ADICIONA EFEITO AO PASSAR MOUSE POR CIMA */
header .navegacao-primaria li a::after {
  content: "";
  width: 0px;
  height: 0px;
  display: block;
  border-bottom: 4px solid transparent;
  transition: 0.5s;
}
header .navegacao-primaria li a:hover::after {
  width: 100%;
  height: 0px;
  padding: 0px;
  border-bottom: 4px solid var(--color0);
}

/* DOWNLOAD CV */
.section-div {
  animation: inicializar 0.7s forwards;
  background-color: #000;
  display: grid;
  grid-template-columns: 1fr 1fr;
  justify-content: space-around;
  align-items: center;
  gap: 60px;
  padding: 60px;
}

.section-div div {
  margin-top: 120px;
  align-self: start;
  display: grid;
  gap: 30px;
}

.section-div h2 {
  font-family: "Poppins";
  font-weight: 600;
  color: var(--color3);
}

.section-div p {
  font-family: "Poppins";
  font-weight: 200;
  color: var(--color3);
}

.section-div a {
  justify-self: start;
  color: #fff;
  padding: 15px 40px;
  border-radius: 5px;
  border: 2px solid white;
}

.section-div img {
  max-width: 100%;
}

.digitando::after {
  content: "|";
  margin-left: 5px;
  opacity: 1;
  animation: pisca 0.5s infinite;
}

@keyframes pisca {
  from {
    opacity: 1;
  }
  to {
    opacity: 0;
  }
}

@keyframes inicializar {
  from {
    opacity: 0;
    transform: translate3d(0, -60px, 0);
  }
  to {
    opacity: 1;
    transform: translate3d(0, 0, 0);
  }
}

/* SEÇÃO PRINCIPAL SOBRE MIM */

main {
  margin-top: 60px;
  background-color: #111;
  color: white;
}

main .sobre {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  gap: 30px;
  justify-content: center;
  padding: 40px;
}

.sobre_titulo {
  margin: 30px 0;
  grid-column: 1/-1;
  text-align: center;
  color: #fff;
}

.sobre_titulo h1 {
  font-size: 2.5rem;
  color: var(--color1);
  margin-bottom: 15px;
  font-family: "Berkshire Swash", cursive;
}

.sobre_titulo p {
  color: var(--color2);
  font-size: 1.4rem;
  margin-bottom: 1rem;
  position: relative;
}

.sobre_titulo div {
  display: flex;
  gap: 10px;
  justify-content: center;
}

.sobre_titulo span {
  display: block;
  height: 20px;
  width: 20px;
  border-radius: 50%;
  background-color: var(--color0);
}

.sobre img {
  animation: ladoSecao 0.5s ease-in-out forwards;
  cursor: pointer;
  grid-row: 2;
  width: 300px;

  border-radius: 10px;
  filter: blur(0);
  background-color: #000;
  max-height: 369px;
  background-size: cover;
}

.sobre img:hover {
  transition: 0.5s ease-in;
  filter: blur(1px);
}

.sobre_conteudo {
  animation: sobeSecao 0.5s ease-in-out forwards;
  grid-column: 2/-1;
  display: grid;
  color: var(--color2);
  grid-template-columns: 1fr 1fr;
}

.sobre_texto {
  display: grid;
  grid-column: 1/-1;
  grid-template-columns: 1fr 1fr;
}

.sobre_texto h1 {
  font-size: 2.3rem;
  color: #fff;
  grid-column: 1/-1;
}

.sobre_texto h1::after {
  background-color: var(--color1);
  height: 6px;
  width: 60px;
  margin: 20px 0;
  content: "";
  display: block;
  border-radius: 5px;
}

.sobre_texto p {
  font-size: 1.3rem;
  grid-row: 2;
  grid-column: 1/-1;
}

.sobre_info {
  margin-top: 30px;
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-column: 1/-1;
  gap: 15px;
  align-items: center;
}

.sobre_info i {
  color: var(--color0);
  display: inline-block;
  padding-right: 15px;
  font-size: 1.5rem;
}

.sobre_info p {
  font-size: 0.9rem;
}

@keyframes sobeSecao {
  from {
    transition: 0.5s;
    transform: translate3d(60px, 0, 0);
  }
  to {
    transform: translate3d(0, 0, 0);
  }
}

@keyframes ladoSecao {
  from {
    transition: 0.5s;
    transform: translate3d(-60px, 0, 0);
  }
  to {
    transform: translate3d(0, 0, 0);
  }
}

/* RESPONSIVO */
@media (max-width: 992px) {
  .section-div img {
    display: none;
  }

  .section-div {
    background-image: url("../images/foto_ilustrativa.png");
    background-repeat: no-repeat;
    background-size: cover;
  }

  header {
    justify-content: space-between;
    padding: 30px 70px;
  }

  header .navegacao-primaria {
    display: none;
    background-color: var(--color3);
  }

  header i {
    color: var(--color3);
    font-size: 3rem;
    cursor: pointer;
  }
}

@media (max-width: 992px) {
  .sobre img {
    grid-column: 1/-1;
    justify-self: center;
  }

  .sobre_conteudo {
    grid-column: 1/-1;
  }
}

/* SEÇÃO SERVICES*/

.services {
  margin-top: -30px;
  padding: 60px;
  background-color: #151515;
}

.my_services {
  padding: 60px;
  color: #fff;
}

.my_services ul {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
  align-items: center;
  justify-content: center;
}

.my_services ul li {
  cursor: pointer;
  border-radius: 6px;
  position: relative;
  padding: 10px;
  display: grid;
  gap: 30px;
  text-align: center;
  max-width: 300px;
  height: 300px;
  background-color: #222;
  align-content: center;
}

.my_services ul li i {
  font-size: 2.7rem;
  color: var(--color0);
}

.my_services ul li h3 {
  color: #fff;
  font-size: 1.6rem;
  font-family: "poppins";
  font-weight: 500;
}

.my_services ul li p {
  color: var(--color2);
  font-size: 1.1rem;
}

.my_services li::before {
  content: "";
  transition: 0.5s ease-in-out;
  border-radius: 6px;
  width: 0px;
  height: 0px;
  position: absolute;
  top: -2px;
  right: -2px;
  border-top: 2px solid transparent;
  border-right: 2px solid transparent;
}

.my_services li::after {
  content: "";
  transition: 0.5s ease-in-out;
  border-radius: 6px;
  width: 0px;
  height: 0px;
  position: absolute;
  bottom: -2px;
  left: -2px;
  border-bottom: 2px solid transparent;
  border-left: 2px solid transparent;
}

.my_services li:hover::before {
  width: 100%;
  height: 100%;
  border-top: 2px solid red;
  border-right: 2px solid red;
}

.my_services li:hover::after {
  width: 100%;
  height: 100%;
  border-bottom: 2px solid red;
  border-left: 2px solid red;
}


/* EXPERIENCIAS */
.my_resume {
    color: #fff;
}

.resume_generico {
    padding: 30px;
    display: grid;
    grid-template-columns: 1fr 1fr;
    justify-content: center;
    gap: 10px;
    align-items: start;
}

.resume_generico h2 {
    font-family: 'Poppins';
    font-size: 1.5rem;
    background-color: var(--color1);
    justify-self: start;
    padding: 10px;
    border-radius: 3px;
}

.resume_generico h2 i {
    margin-right: 10px;
}

.experience {
    margin-bottom: 30px;
    grid-column: 1;
    grid-row: 1;
}

.education {
    margin-bottom: 30px;
    grid-column: 2;
    grid-row: 1;
}

.experience_content ul {
    color: var(--color1);
    gap: 10px;
    display: flex;
    cursor: pointer;
    margin-top: 20px;
    justify-content: center;
}

.resume_generico .experience_content div {
    background-color: #222;
    padding: 40px;
    position: relative;
    margin-bottom: 30px;
}

.resume_generico .experience_content div::before {
    content: '';
    border-right: 30px solid transparent;
    border-bottom: 30px solid #222;
    position: absolute;
    top: -20px;
    left: 30px;
    display: inline-block;
}

.resume_generico .experience_content div span {
    color: var(--color0);
    font-family: 'Poppins';
    font-weight: bold;
}

.resume_generico .experience_content div h3 {
    font-family: 'Poppins';
    margin: 10px 0;
}

.resume_generico .experience_content div p {
    color: var(--color2);
    font-size: 1.1rem;
}


.resume_generico .education_content div {
    background-color: #222;
    padding: 40px;
    position: relative;
    margin-bottom: 30px;
}

.education_content ul {
    color: var(--color1);
    gap: 10px;
    display: flex;
    cursor: pointer;
    margin-top: 20px;
    justify-content: center;
}

.resume_generico .education_content div::before {
    content: '';
    border-right: 30px solid transparent;
    border-bottom: 30px solid #222;
    position: absolute;
    top: -20px;
    left: 30px;
    display: inline-block;
}

.resume_generico .education_content div span {
    color: var(--color0);
    font-family: 'Poppins';
    font-weight: bold;
}

.resume_generico .education_content div h3 {
    font-family: 'Poppins';
    margin: 10px 0;
}

.resume_generico .education_content div p {
    color: var(--color2);
    font-size: 1.1rem;
}